# Node docker image on which this would be run
image: node:8.9.0
#image: ubuntu:20.04

#This command is run before actual stages start running
before_script:
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
#  - npm install

stages:
#  - test
  - deploy

# lint and test are two different jobs in the same stage.
# This allows us to run these two in parallel and making build faster

# Job 1:
#lint:
#  stage: test
#  script:
#    - npm run lint

# Job 2:
#test:
#  stage: test
#  script:
#    - npm run test
    # ToDo: Add coverage

deployToAWS:
  only:
    - main
  stage: deploy
  script:
    - bash deploy/deploy.sh
